
QGIS Application - Bug report #15305

importing layers to MS SQL Server via browser drag & drop

2016-07-18 06:32 PM - James Burn

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.7 Regression?: No

Operating System: Windows 8.1 / 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23237

Description

occasionally fails to import and appears to be based on multi-geom types (multiline etc.); when it does import, it appears to drop the

values from the first field, and shift the remaining values over, leaving the last field with nulls. predictable issues with the field values

shifting (text to number, float to integer). Does not seem to matter which format the import is coming from - have tried shp, mif, tab and

spatialite.

Associated revisions

Revision b7f5a3c1 - 2018-10-05 08:00 AM - Nyall Dawson

[mssql] Fix shifted attributes after importing layers via browser

drag and drop

Fixes #15305

History

#1 - 2017-01-08 07:45 AM - Giovanni Manghi

- Subject changed from importing layers to SQL Server vis browser drag n drop to importing layers to MS SQL Server via browser drag & drop

- Category changed from Data Provider/MSSQL to Browser

- Priority changed from High to Normal

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-12 10:24 PM - James Burn

just an update - it is still happening in 2.18.7

#4 - 2017-05-15 04:45 PM - Giovanni Manghi

- Affected QGIS version changed from 2.16.0 to 2.18.7

#5 - 2018-10-02 10:15 PM - Nyall Dawson

- Category changed from Browser to Data Provider/MSSQL

#6 - 2018-10-05 05:53 AM - Nyall Dawson

- Status changed from Open to In Progress
#7 - 2018-10-05 07:59 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b7f5a3c1ea1f158505db0ecf337dcbc63ee9ae95.

2025-04-27 2/2


